## arapp 1.0~beta1-0maemo4

=== Makefile ===
#############################################################################
# Makefile for building: arapp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 11 03:02:48 2010
# Project:  arapp.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile arapp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/include/QtCore -I/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/include/QtGui -I/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/include/QtOpenGL -I/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/include -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lARToolkitPlus -pthread -lgstapp-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lQtOpenGL -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		Object.cpp \
		ObjReader.cpp \
		Scene.cpp \
		VideoQuad.cpp \
		VideoSrc.cpp \
		View.cpp \
		ShadowQuad.cpp \
		CanvasPlane.cpp \
		Interface.cpp 
OBJECTS       = main.o \
		Object.o \
		ObjReader.o \
		Scene.o \
		VideoQuad.o \
		VideoSrc.o \
		View.o \
		ShadowQuad.o \
		CanvasPlane.o \
		Interface.o
DIST          = /targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		arapp.pro
QMAKE_TARGET  = arapp
DESTDIR       = 
TARGET        = arapp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: arapp.pro  /targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile arapp.pro
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-8035a561930324d3ec0ce1f633c10a81442e0c12/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile arapp.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/arapp1.0.0 || $(MKDIR) .tmp/arapp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/arapp1.0.0/ && $(COPY_FILE) --parents Object.h ObjReader.h Scene.h VideoQuad.h VideoSrc.h View.h ShadowQuad.h CanvasPlane.h Interface.h .tmp/arapp1.0.0/ && $(COPY_FILE) --parents main.cpp Object.cpp ObjReader.cpp Scene.cpp VideoQuad.cpp VideoSrc.cpp View.cpp ShadowQuad.cpp CanvasPlane.cpp Interface.cpp .tmp/arapp1.0.0/ && (cd `dirname .tmp/arapp1.0.0` && $(TAR) arapp1.0.0.tar arapp1.0.0 && $(COMPRESS) arapp1.0.0.tar) && $(MOVE) `dirname .tmp/arapp1.0.0`/arapp1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/arapp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp View.h \
		Scene.h \
		VideoQuad.h \
		VideoSrc.h \
		ShadowQuad.h \
		Object.h \
		ObjReader.h \
		CanvasPlane.h \
		Interface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

Object.o: Object.cpp Object.h \
		ObjReader.h \
		CanvasPlane.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Object.o Object.cpp

ObjReader.o: ObjReader.cpp ObjReader.h

=== debian/changelog ===
arapp (1.0~beta1-0maemo4) fremantle; urgency=low

  * Initial release (Closes: #nnnn)

 -- Pavel Rojtberg <pavel@rojtberg.net>  Fri, 11 Jun 2010 00:09:40 +0200

=== debian/control ===
Source: arapp
Priority: optional
Maintainer: Pavel Rojtberg <pavel@rojtberg.net>
Build-Depends: debhelper (>= 5.0.42), libqt4-dev, libgstreamer0.10-dev, artoolkitplus-dev, libgstreamer-plugins-base0.10-dev, libx11-dev, x11proto-core-dev
Standards-Version: 3.8.1
Section: misc
Homepage: http://launchpad.net/arinterface

Package: arapp
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-opengl, libgstreamer0.10-0, artoolkitplus
Description: Augmented Reality Application
 This application uses augmented reality to create a tangible user interface.
 It uses shadowmapping to create a seamless scene.
 There are two models included to arrage a scene with two houses.

## arapp 1.0~beta1-0maemo5

=== Makefile ===
#############################################################################
# Makefile for building: arapp
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 11 03:16:44 2010
# Project:  arapp.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile arapp.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/include/QtCore -I/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/include/QtGui -I/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/include/QtOpenGL -I/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/include -I. -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lARToolkitPlus -pthread -lgstapp-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0 -lQtOpenGL -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		Object.cpp \
		ObjReader.cpp \
		Scene.cpp \
		VideoQuad.cpp \
		VideoSrc.cpp \
		View.cpp \
		ShadowQuad.cpp \
		CanvasPlane.cpp \
		Interface.cpp 
OBJECTS       = main.o \
		Object.o \
		ObjReader.o \
		Scene.o \
		VideoQuad.o \
		VideoSrc.o \
		View.o \
		ShadowQuad.o \
		CanvasPlane.o \
		Interface.o
DIST          = /targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		arapp.pro
QMAKE_TARGET  = arapp
DESTDIR       = 
TARGET        = arapp

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: arapp.pro  /targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtOpenGL.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile arapp.pro
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-21f2fec326c8f7ade2255079f2e72585f0974e47/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtOpenGL.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile arapp.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/arapp1.0.0 || $(MKDIR) .tmp/arapp1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/arapp1.0.0/ && $(COPY_FILE) --parents Object.h ObjReader.h Scene.h VideoQuad.h VideoSrc.h View.h ShadowQuad.h CanvasPlane.h Interface.h .tmp/arapp1.0.0/ && $(COPY_FILE) --parents main.cpp Object.cpp ObjReader.cpp Scene.cpp VideoQuad.cpp VideoSrc.cpp View.cpp ShadowQuad.cpp CanvasPlane.cpp Interface.cpp .tmp/arapp1.0.0/ && (cd `dirname .tmp/arapp1.0.0` && $(TAR) arapp1.0.0.tar arapp1.0.0 && $(COMPRESS) arapp1.0.0.tar) && $(MOVE) `dirname .tmp/arapp1.0.0`/arapp1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/arapp1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp View.h \
		Scene.h \
		VideoQuad.h \
		VideoSrc.h \
		ShadowQuad.h \
		Object.h \
		ObjReader.h \
		CanvasPlane.h \
		Interface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

Object.o: Object.cpp Object.h \
		ObjReader.h \
		CanvasPlane.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Object.o Object.cpp

ObjReader.o: ObjReader.cpp ObjReader.h

=== debian/changelog ===
arapp (1.0~beta1-0maemo5) fremantle; urgency=low

  * Initial release (Closes: #nnnn)

 -- Pavel Rojtberg <pavel@rojtberg.net>  Fri, 11 Jun 2010 00:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Pavel Rojtberg <pavel@rojtberg.net>
 Build-Depends: debhelper (>= 5.0.42), libqt4-dev, libgstreamer0.10-dev, artoolkitplus-dev, libgstreamer-plugins-base0.10-dev, libx11-dev, x11proto-core-dev
 Standards-Version: 3.8.1
-Section: misc
+Section: user/graphics
 Homepage: http://launchpad.net/arinterface
 
 Package: arapp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	qmake
	make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	qmake
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	make install INSTALL_ROOT=debian/arapp/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
